// import BasicLineChart from './BasicLineChart/index.vue'
// const aa = import.meta.glob('./(**/*|*).vue',)
// console.log(aa);
// const components = [
//   {
//     component:BasicLineChart,
//     name:'BasicLineChart'
//   }
// ]

// // 全局组件的注册
// const install = function (app) {
// 	components.forEach(item => {
// 		// // 全局注册组件
// 		app.component(item.name, item.component)
// 	})
// }
// export default install
import {defineAsyncComponent} from 'vue'
const components = import.meta.glob('./(**/*|*).vue',)
// 全局组件的注册
const install = function (app) {
	Object.keys(components).forEach(fileName => {
		// 获取组件配置
		const file = components[fileName]
    const componentName=fileName.replace('./','').replace('/index.vue','')
		// // 全局注册组件
		app.component(componentName, defineAsyncComponent(file))
	})
}
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}
export default install
